--[[
	Child of State class.
]]

include("../state.lua");

CombatState = class(State);

function CombatState:constructor()
	self.name = "Combat state";
	self.lasttime = os.time(); -- We're going to just fake combat with time.
	self.prevtime = 0
	self.newbattle = false
end

function CombatState:update()
	if self.newbattle == true then
		print("back at combat")
		self:constructor() -- easy reset
	end
	local timepassed = os.difftime(os.time(), self.lasttime)
	if self.prevtime ~= timepassed then print("combat timer: "..timepassed) self.prevtime = self.prevtime + 1 end
	if timepassed > 3  then
		-- End combat.
		printf("Ending combat, popping and pushing Loot.\n");
		self.newbattle = true
		stateman:pushEvent("loot");	
		stateman:popState();
	end
end

-- Handle events
--[[function CombatState:handleEvent(event)
	if event == "repair"  then
		printf("combat code\n");
		stateman:pushState(RepairState());
		return true;
	end
end]]
